# Like most mono packages, giver doesn't generate any debuginfo
%define debug_package %{nil}

Name:		giver
Summary: 	A simple file sharing desktop application
Version:	0.1.8
Release:	3%{?dist}
License:	MIT
Group:		Applications/Internet
Source0:	http://giver.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	Giver.exe.config
Patch0:		giver-0.1.8-fix-desktop-file.patch
# From: http://code.google.com/p/giver/issues/detail?id=2
Patch1:		giver-0.1.8-username_face.patch
# Sent a clean version of this patch to:
# http://code.google.com/p/giver/issues/detail?id=4
# This patch applies on top of the username_face patch.
Patch2:		giver-0.1.8-photoButtonFix2.patch
URL:		http://code.google.com/p/giver/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gnome-sharp-devel, gtk-sharp2-devel, notify-sharp-devel
# This really should be avahi-sharp-devel, but it is mispackaged
BuildRequires:  avahi-sharp
BuildRequires:	desktop-file-utils, intltool
Requires:	notify-sharp gtk-sharp2 gnome-sharp avahi-sharp

# No mono implementation for ppc64 or sparc64 right now
ExcludeArch:	ppc64 sparc64

%description
Giver is a simple file sharing desktop application. Other people running Giver 
on your network are automatically discovered and you can send files to them by 
simply dragging the files to their photo or icon shown in Giver. There is no 
knowledge or set up needed beyond what the person looks like or their name to 
use Giver.

%prep
%setup -q
%patch0 -p1 -b .fix-desktop
%patch1 -p1 -b .username_face
%patch2 -p1 -b .photoButtonFix

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -m 0644 %{SOURCE1} %{buildroot}%{_libdir}/%{name}/

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png

%changelog
* Mon Feb 2 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.8-3
- fix duplicate BuildRequires

* Mon Jan 5 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.8-2
- add missing BuildRequires for perl(XML::Parser), intltool
- Disable ppc64 and sparc64, due to lack of functional mono

* Tue Dec 2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.8-1
- Initial package for Fedora
